# Interface LyrxLayerDefinition

Definition of a layer within the Lyrx structure.

interface LyrxLayerDefinition {
displayField?: string;
featureTable?: {
dataConnection?: {
dataset?: string;
};
};
labelClasses?: LpkxCimLabelClass[];
name: "Polygons" | "Polylines" | "Points";
renderer?: LpkxCimRenderer;
}

#####
Index

### Properties

displayField?
featureTable?
labelClasses?
name
renderer?

##
Properties

### `Optional` displayField

displayField?: string

The display field name for the layer.

### `Optional` featureTable

featureTable?: {
dataConnection?: {
dataset?: string;
};
}

The feature table configuration for the layer.

### `Optional` labelClasses

labelClasses?: LpkxCimLabelClass[]

The label classes associated with the layer.

### name

name: "Polygons" | "Polylines" | "Points"

The name of the layer.

### `Optional` renderer

renderer?: LpkxCimRenderer

The renderer configuration for the layer.